stages:
  - test
  - quality-assurance

py310:
  stage: test
  image: python:3.10-alpine
  before_script:
    - apk add --no-cache libmagic
    - pip install tox --no-cache-dir
  script: tox -e py310

py311:
  stage: test
  image: python:3.11-alpine
  before_script:
    - apk add --no-cache libmagic
    - pip install tox --no-cache-dir
  script: tox -e py311

linters:
  stage: quality-assurance
  image: python:3-alpine
  before_script:
    - pip install tox --no-cache-dir
  script: tox -e linters
  allow_failure: true
